For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve pricing list information

Obtain detailed information about the pricing list available to a partner, including products and their corresponding pricing options, based on the pricing list code.

Request parameters

Parameter
Type / Description

sessionID

Required (string) Session identifier, which is the output of the Login method. An exception will be thrown if the values are incorrect.

pricingListCode

Required (string) The unique identifier of the pricing list.

Request sample

<?php

require ('PATH_TO_AUTH');  // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/02Authentication
require ('PATH_TO_SET_PARTNER'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/06Reference/Partner/00Set_partner

$pricingListCode = 'EFBECC428A';

$jsonRpcRequest = array (
  'jsonrpc' => '2.0',
  'id' => $i++,
  'method' => 'getPricingListInformation',
  'params' => array($sessionID, $pricingListCode)
);

var_dump (callRPC((Object)$jsonRpcRequest, $host));

Response parameters

Parameter
Type

PricingList

Object

Errors

Error
Description

INVALID_PARTNER

No partner is set.

PARTNER_PRICING_LISTS_NOT_FOUND

There are no pricing lists with provided code.

Last updated

Was this helpful?